| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ChannelTypeServerAuthenticationInterface Class Reference
Channel proxies

`#include <TelepathyQt/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Member Functions

- ChannelTypeServerAuthenticationInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelTypeServerAuthenticationInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelTypeServerAuthenticationInterface (Tp::DBusProxy *proxy)
- ChannelTypeServerAuthenticationInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelTypeServerAuthenticationInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyAuthenticationMethod () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.ServerAuthentication".

## Constructor & Destructor Documentation

Tp::Client::ChannelTypeServerAuthenticationInterface::ChannelTypeServerAuthenticationInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeServerAuthenticationInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelTypeServerAuthenticationInterface::ChannelTypeServerAuthenticationInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeServerAuthenticationInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelTypeServerAuthenticationInterface::ChannelTypeServerAuthenticationInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelTypeServerAuthenticationInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ChannelTypeServerAuthenticationInterface::ChannelTypeServerAuthenticationInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelTypeServerAuthenticationInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ChannelTypeServerAuthenticationInterface::ChannelTypeServerAuthenticationInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelTypeServerAuthenticationInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ChannelTypeServerAuthenticationInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Type.ServerAuthentication", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ChannelTypeServerAuthenticationInterface::requestPropertyAuthenticationMethod | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `AuthenticationMethod` of type `QString`.

This property defines the method used for the authentication step represented by this channel, which MUST be one of this channel's ChannelInterface::Interfaces .

The initially-defined interface that can be used here is ChannelInterfaceSASLAuthenticationInterface .

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::ChannelTypeServerAuthenticationInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::ChannelTypeServerAuthenticationInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.